export const BarMarks = ({
  data,
  xScale,
  yScale,
  xValue,
  yValue,
  clrScale,
  clrValue,
  tooltipFormat,
  onClick,
  selectedValue,
  onHover,
  hoveredValue,
  hoverOpacity,
  fadeOpacity
}) =>
  data.map(d => {
    const domainValue = yValue(d);
    const highlightSelection = () => {
      if (domainValue === selectedValue)
      {
        console.log('Selection:', domainValue);
        return (
          <rect
            className="barMark"
            key={domainValue}
            x={0}
            y={yScale(domainValue) - 1}
            width={xScale(xValue(d)) + 1}
            height={yScale.bandwidth() + 2}
            fill={'darkred'}
          />
        );
      }
      return null;
    };
    return (
      <g
        className="bars"
        onClick={() => {
          onClick(domainValue);
        }}
        onMouseEnter={() => {
          onHover(domainValue);
        }}
        onMouseOut={() => {
          onHover(null);
        }}
        opacity={
          domainValue === selectedValue || domainValue === hoveredValue
            ? hoverOpacity
            : fadeOpacity
        }
      >
        {highlightSelection()}
        <rect
          className="barMark"
          key={domainValue}
          x={0}
          y={yScale(domainValue)}
          width={xScale(xValue(d))}
          height={yScale.bandwidth()}
          fill={clrScale(clrValue(d))}
        >
          <title>{tooltipFormat(yValue(d))}</title>
        </rect>
      </g>
    );
  });
